// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import router from './router'
import store from './store'
import VueIconFont from 'vue-iconfont'

import ElementUI from 'element-ui'
import 'normalize.css'
import 'element-ui/lib/theme-chalk/index.css'
import '@/styles/layout.less'
import App from './App.vue'

/* 系统内公共样式 */
import mixins from './mixins'
import ajax from './utils/ajax'
import filter from './utils/filter'
import date from './utils/date'
import notify from './utils/notify'
import enumopt from './utils/enumOpt'
import permission from './utils/permission'
import cacheManage from './utils/cacheManage'

Vue.config.productionTip = false

Vue.mixin(mixins)

Vue.use(ElementUI)
Vue.use(ajax)
Vue.use(filter)
Vue.use(date)
Vue.use(notify)
Vue.use(enumopt)
Vue.use(permission)
Vue.use(cacheManage)
Vue.use(VueIconFont, [
  // 定义 v-icon 组件以使用 font-class 图标
  {
    tag: 'v-icon',
    prefix: 'v-icon',
    type: 'font'
  },

  // 定义 v-svg-icon 组件以使用 SVG 图标
  {
    tag: 'v-svg-icon',
    prefix: 'v-icon',
    type: 'svg'
  }
])

/* eslint-disable no-new */
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
